• This forum has a zero tolerance policy regarding spam. If you register here to publish advertising, your user account will be deleted without further questions.

Horde, Outlook und ActiveSync

  • Thread starter Deleted member 2251
  • Start date
D

Deleted member 2251

Guest
Hallo,

leider komme ich mit meinem Problem auch nach mehreren Stunden nicht weiter.

Ich habe einen vServer bei Strato auf dem Horde und Plesk (aktuelle Version) installiert ist. Ebenfalls mit eingerichtet ist über Horde ActiveSync, welches auch auf dem iPhone scheinbar ohne Probleme funktioniert.

Unter Outlook scheint dies nur sehr kurz zu funktionieren; Die Mails werden einmalig abgerufen, danach ist Schluss. Es wird nicht mehr Synchronisiert.

Als PHP ist 7.1.16 angegeben, FPM.

Die Weiterleitungen etc. sind gesetzt:
Code:
# Enable ActiveSync
<Directory /usr/share/psa-horde>
	Order allow,deny
	Allow from all
</Directory>

Alias /Microsoft-Server-ActiveSync /usr/share/psa-horde/rpc.php
Alias /autodiscover/autodiscover.xml /usr/share/psa-horde/rpc.php
Alias /Autodiscover/Autodiscover.xml /usr/share/psa-horde/rpc.php
Alias /AutoDiscover/AutoDiscover.xml /usr/share/psa-horde/rpc.php
RewriteEngine On
RewriteRule .* - [E=HTTP_MS_ASPROTOCOLVERSION:%{HTTP:Ms-Asprotocolversion}]
RewriteRule .* - [E=HTTP_X_MS_POLICYKEY:%{HTTP:X-Ms-Policykey}]
RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]
# End Enable ActiveSync

Accesslog sieht nach dem ersten Synchronisieren so aus...
Code:
IP... - info@w...a.de [12/Apr/2018:20:08:51 +0200] "POST /Microsoft-Server-ActiveSync?Cmd=FolderSync&User=info@w...a.de&DeviceId=06138...08BE&DeviceType=WindowsOutlook15 HTTP/1.1" 200 793 "-" "Outlook/16.0 (16.0.9126.2109; x86)"
IP... - info@w...a.de [12/Apr/2018:20:08:51 +0200] "POST /Microsoft-Server-ActiveSync?Cmd=Sync&User=info@w...a.de&DeviceId=06138...08BE&DeviceType=WindowsOutlook15 HTTP/1.1" 500 683 "-" "Outlook/16.0 (16.0.9126.2109; x86)"

Interessant ist hier der 500er Fehlercode, welchen ich mir nicht erklären kann, zu wenig RAM??? Keine Ahnung.

Code:
$conf['auth']['admins'] = array('mai...');

$conf['activesync']['params']['driverconfig'] = 'horde';
$conf['activesync']['storage'] = 'Sql';
$conf['activesync']['emailsync'] = true;
$conf['activesync']['version'] = '14.1';
$conf['activesync']['auth']['type'] = 'basic';
$conf['activesync']['autodiscovery'] = 'full';
$conf['activesync']['outlookdiscovery'] = false;
$conf['activesync']['logging']['path'] = '/var/log/psa-horde/';
#$conf['activesync']['logging']['type'] = 'onefile';
$conf['activesync']['logging']['type'] = 'perdevice';
$conf['activesync']['ping']['heartbeatmin'] = 60;
$conf['activesync']['ping']['heartbeatmax'] = 2700;
$conf['activesync']['ping']['heartbeatdefault'] = 480;
$conf['activesync']['ping']['deviceping'] = true;
$conf['activesync']['ping']['waitinterval'] = 15;
$conf['activesync']['enabled'] = true;

Ach ja, die Logs in psa-horde werden auch nicht erstellt.


Noch als Info, sobald unter Horde (Login) ActiveSync Devices, Last Sync Time, eine Zeit steht funktioniert es nicht mehr, davor kommt immerhin ein 200er Status Code.

Nach dem entfernen des Device wird einmal über Outlook Synchronisiert, danach ist Schluss.

Vielen Dank, ich hoffe ihr könnt mir weiterhelfen.

Gruß
Daniel
 
Bezüglich Activesync kann ich dir nicht helfen, aber ich hatte im Oktober letzten Jahres noch Probleme mit Horde Webmail (aktuelle Stable per pear-Installer von der Horde-Webseite) mit PHP 7.0 und daher läuft es bei mir derzeit noch unter PHP 5.6 - es scheinen noch nicht alle Kompatiblitätsprobleme ausgemerzt zu sein. Vielleicht machen die sich auch bei deinem ActiveSync-Problem bemerkbar.
 
Bezüglich Activesync kann ich dir nicht helfen, aber ich hatte im Oktober letzten Jahres noch Probleme mit Horde Webmail (aktuelle Stable per pear-Installer von der Horde-Webseite) mit PHP 7.0 und daher läuft es bei mir derzeit noch unter PHP 5.6 - es scheinen noch nicht alle Kompatiblitätsprobleme ausgemerzt zu sein. Vielleicht machen die sich auch bei deinem ActiveSync-Problem bemerkbar.

Hallo,

danke für die Antwort. Ich habe PHP bereits auf eine PHP5 Version umgestellt, leider ohne Erfolg.

Heute werde ich noch einmal eine Subdomain einrichten mit entsprechenden Parametern und sehen was passiert.

Gruß
Daniel
 
Back
Top